Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157536 - Apache APR incorrectly requires R_OK for chdir(2)
Summary: Apache APR incorrectly requires R_OK for chdir(2)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: apr
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Joe Orton
QA Contact:
URL: http://issues.apache.org/bugzilla/sho...
Whiteboard:
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-05-12 14:19 UTC by Brian DeFeyter
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHBA-2005-622
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 15:37:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:622 qe-ready SHIPPED_LIVE httpd bug fix update 2005-10-05 04:00:00 UTC

Description Brian DeFeyter 2005-05-12 14:19:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
The current stable httpd package in RHEL4 contains a bug in APR which requires R_OK to be present on a directory in order to read it's contents when really only X_OK is necessary.

This bug was fixed in the Apache 2.0.53 release

More information is available here: http://issues.apache.org/bugzilla/show_bug.cgi?id=30137

This is somewhat of a security issue, as it requires more permissions to be set than necessary to allow httpd access to web content.

Version-Release number of selected component (if applicable):
httpd-2.0.52-9.ent

How reproducible:
Always

Steps to Reproduce:
N/A  

Additional info:

Comment 1 Joe Orton 2005-05-12 14:22:30 UTC
Thanks for the report.

Comment 6 Brian DeFeyter 2005-07-25 20:29:23 UTC
Hello,

I'm just wondering if there's going to be a patch released for this at some
point in the near future?

Thanks,
Brian

Comment 7 Joe Orton 2005-07-25 20:40:27 UTC
Brian, the fix is currently scheduled for inclusion in U2 - experimental test
packages are available here: http://people.redhat.com/jorton/Nahant-apr/

Comment 8 Red Hat Bugzilla 2005-10-05 15:37:45 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-622.html



Note You need to log in before you can comment on or make changes to this bug.